Eyeshot 12 Documentation
WinForms Control / Before You Start / System Requirements
In This Topic
    System Requirements
    In This Topic

    This document describes the system requirements for installing and using devDept Software controls and components on a development machine. If you are developing with an older version of the .NET Framework that is not supported by the current version of devDept Software products, please refer to the .NET Framework Support History topic to choose the most appropriate devDept Software product version.

     Framework

    The following frameworks are supported.

    • Microsoft .NET Framework 4.5                        
    • Microsoft .NET Framework 4.6
    • Microsoft .NET Framework 4.7
     IDE

    You can use one of the following IDEs to develop applications using Eyeshot controls.

    • Microsoft Visual Studio 2012
    • Microsoft Visual Studio 2013
    • Microsoft Visual Studio 2015
    • Microsoft Visual Studio 2017
    Note that Visual Studio Express editions may not support some design-time features of Eyeshot controls.
     Graphics

    The following renderer are supported.

    OpenGL Recommended:
    OpenGL version 2.0
    DirectX Recommended:
    Direct3D 11 feature level 10_0

    Minimum:
    Direct3D 11 feature level 9_3
    With the following limitations: no planar reflections, no two sided lighting, no point and spot lights, 4 lights instead of 8, no width for lines and points.
     Operating System

    The following operating systems are supported.

    OpenGL Windows 10, Windows 8.1, Windows 8, Windows 7 and Windows Vista
    DirectX Windows 10, Windows 8.1, Windows 8, Windows 7 and Windows Vista SP2